var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-24998B9E-2FF6-4161-8D31-D72AC1BFC54F\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>カスタム アトリビュートのバージョン番号の処理</h1></div><p><strong>3ds Max 2012</strong> では、スクリプト カスタム アトリビュートをシーン ファイルからロードするときにバージョン番号を処理できるようになりました。</p>\n\
<h2 id=\"-\">技術的な概要</h2><p>スクリプト カスタム アトリビュートの定義は、ILoadImp::LoadDllDir に読み込まれる、「ScriptedCustAttribDefs」ストリーム内のシーン ファイルに保存されます。これは、ファイルのロード処理の早い段階、つまり使用済みクラスのリストを読み込む直前に呼び出されます。なぜなら、スクリプト カスタム アトリビュートのクラスが使用済みクラスに含められるからです。</p>\n\
<p><strong>3ds Max 2012 よりも前の</strong>バージョンの <strong>3ds Max</strong> では、スクリプト カスタム アトリビュートの定義を読み込むときにスクリプト カスタム アトリビュートの定義と既存の定義が正確に一致しなかった場合、ロードされた定義が評価され、そのスクリプト カスタム アトリビュートの<strong>既存のインスタンスがすべて</strong> <strong>ロードされた定義</strong>に変換されました。</p>\n\
<p>3ds Max 2012 では、ロードされた定義と既存の定義が<strong>正確に一致せず</strong>、<strong>かつ</strong>ロードされた定義のバージョン番号が既存のバージョン番号よりも<strong>大きい</strong>場合にのみ、ロードされた定義が評価されるようにします。</p>\n\
<p>以前のバージョンの <strong>3ds Max</strong> では、スクリプト カスタム アトリビュートの定義がロードされた定義に必ず更新されたため、シーン ファイルのロード中に作成されたインスタンスを既存の定義に移行する必要はありませんでした。ただし、<strong>3ds Max 2012</strong> 以降では、この移行を行う必要があります。</p>\n\
<div class=\"note 注:\"><span class=\"notetitle\">注:</span></div>\n\
<p>移行のための内部ロジックは既に存在していました。スクリプト プラグインに対して同じ処理が実行されるからです。</p>\n\
<p>ただし、この移行を行うには、「Config」ストリームからロードされ、まだ読み込まれていないデータが必要になります。</p>\n\
<p><strong>3ds Max 2012 よりも前のバージョンのロード順序:</strong></p>\n\
<ol>\n\
<li>ScriptedCustAttribDefs をロードし、現在のインスタンスをロードした定義に更新します。</li>\n\
<li>参照階層をロードします。</li>\n\
<li>ロード後のコールバックを実行します。</li>\n\
<li>設定データをロードします。この設定データには、スクリプト プラグインの pb2 定義を含む MAXScript データが含まれています。</li>\n\
<li>ロード後のコールバックを実行します。これにより、スクリプト プラグインのパラメータ ブロックがスクリプト プラグインの現在の定義に移行されます。</li>\n\
</ol>\n\
<p>場合によっては、<strong>ステップ 3</strong> で<strong>シーン評価</strong>が行われることがあります。この評価にスクリプト プラグインの評価が含まれる場合は、<strong>エラーが発生する可能性があります</strong>。この時点では、スクリプト プラグインのパラメータ ブロックがスクリプト プラグインの定義に一致していない可能性があるからです。</p>\n\
<p><strong>3ds Max 2012 以降のロード順序:</strong></p>\n\
<ol>\n\
<li>ScriptedCustAttribDefs をロードし、<strong>ロードした定義のバージョンがより新しい場合は</strong>、現在のインスタンスをロードした定義に更新します。</li>\n\
<li>参照階層をロードします。</li>\n\
<li><strong>設定データの一部のロード</strong>: スクリプト プラグインの pb2 定義を含む MAXScript データをロードします。</li>\n\
<li>ロード後のコールバックを実行します。これにより、スクリプト プラグインのパラメータ ブロックがスクリプト プラグインの現在の定義に移行されます。</li>\n\
<li><strong>残りの設定データのロード</strong>: スクリプト プラグインの pb2 定義を含む MAXScript データ以外の設定データをロードします。</li>\n\
<li>ロード後のコールバックを実行します。</li>\n\
</ol>\n\
<p>スクリプト カスタム アトリビュートの定義(またはスクリプト プラグインの定義)を<strong>評価</strong>した場合は、以前に存在していた定義のバージョン番号に関係なく、評価した定義が<strong>常に使用されるようになります</strong>。</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Custom-Attributes.html\">カスタム属性</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";