var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B8D76A96-97BF-414C-AF4F-F00AFD39B19D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>主要な NURBS クラスの概要</h1></div><p>NURBS ファミリの主要なクラスの継承を次のダイアグラムに示します。基本クラスは 1 番上に表示され、上から下、左から右の方向で継承の階層が進みます。<a href=\"The-NURBS-Classes/NURBSObject-Values.html\">NURBSObject</a> は、基本クラスとしても機能する <a href=\"The-NURBS-Classes/NURBSPoint-Classes/NURBSPoint-NURBSObject.html\">NURBSPoint</a>、<a href=\"The-NURBS-Classes/NURBSControlVertex-Class/NURBSControlVertex-NURBSObject.html\">NURBSControlVertex</a>、<a href=\"The-NURBS-Classes/NURBSCurve-Classes/NURBSCurve-NURBSObject.html\">NURBSCurve</a>、<a href=\"The-NURBS-Classes/NURBSSurface-Classes/NURBSSurface-NURBSObject.html\">NURBSSurface</a>、<a href=\"The-NURBS-Classes/NURBSCurve-Classes/NURBSCVCurve-NURBSCurve.html\">NURBSCVCurve</a> および <a href=\"The-NURBS-Classes/NURBSCurve-Classes/NURBSPointCurve-NURBSCurve.html\">NURBSPointCurve</a> を持つ主要な基本クラスです。その他にも NURBS オブジェクトで使用できるクラスがいくつかありますが、NURBS 階層には含まれません。それらのクラスは、<a href=\"The-NURBS-Classes/NURBS-Associated-Classes/NURBSDisplay-Value.html\">NURBSDisplay</a>、<a href=\"The-NURBS-Classes/NURBS-Associated-Classes/NURBSSelection-Value.html\">NURBSSelection</a>、<a href=\"The-NURBS-Classes/NURBS-Associated-Classes/NURBSSet-Value.html\">NURBSSet</a>、<a href=\"The-NURBS-Classes/NURBS-Associated-Classes/NURBSSurfaceApproximation-Value.html\">NURBSSurfaceApproximation</a> および <a href=\"The-NURBS-Classes/NURBS-Associated-Classes/NURBSTextureSurface-Value.html\">NURBSTextureSurface</a> です。</p>\n\
<p><img src=\"./images/GUID-C769FE3F-7DBB-4E7C-9406-833374C1B183-low.gif\" alt=\"\"></p>\n\
<p><strong>NURBS クラスの階層</strong></p>\n\
<p><strong>NURBSObject</strong> クラスは NURBS の基本クラスです。項目の名前を取得/設定する他のクラスに対して共通の、一連のプロパティを提供します。また、<code>NURBSId</code> プロパティもあります。これは、NURBS クラス間の通信で特定のオブジェクトを指定するために使用する ID です。</p>\n\
<p><strong>NURBSSet</strong> クラスは、開発者が <strong>3ds Max</strong> NURBS オブジェクトを作成したり、既存の <strong>3ds Max</strong> NURBS オブジェクトからデータを取得したりするときに使用するクラスです。NURBSSet は他のオブジェクトのコンテナとして機能します。このクラスには、セットの作成に使用されるさまざまな NURBSObject 派生エンティティ ポイント、カーブ、サーフェス) テーブルが含まれます。さらに、2 つの「ヒューズ」テーブルがあり、1 つはヒューズ カーブ用、もう 1 つはヒューズ サーフェス用に使われます。このテーブルを使用すると、カーブまたはサーフェス内の CV は一緒に「合わさって」または「くっついて」、1 つのカーブまたはサーフェスが移動すると、他のカーブまたはサーフェスもそれに伴って移動できるようになります。このクラスにも、オブジェクトの多面化をビューポートで使用するために三角メッシュに入れたり、プロダクション レンダラーをコントロールするサーフェス近似プロパティがあります。</p>\n\
<p><strong>NURBSPoint</strong> クラスは 3D スペースのポイントを記述します。ポイントが <code>independent</code> となるか <code>dependent</code> となるかは、特定のクラスに依存します。独立ポイントとは、位置を定義する上で他のオブジェクトに依存しないポイントです。従属ポイントは依存しているオブジェクトに関連しており、ポイント、カーブまたはサーフェスが移動するときに最初に確立された関係が維持されます。たとえば、別のポイントとの距離が常に一定のポイントを作成できます。オプションは XYZ 相対、法線に沿う、接線に沿う (またはサーフェスに依存するコンストレイント ポイントに対する接線のセット) です。</p>\n\
<p><strong>NURBSControlVertex</strong> クラスは NURBS カーブまたは NURBS サーフェスのコントロール頂点を定義します。このクラスは NURBSPoint と同じプロパティを数多く共有し、その他に有理的な重みのプロパティがあります。CV の重みの値は有理数です。つまり、カーブまたはサーフェスの他の CV に比例します。一度にすべての CV の重みを変えても何も影響しません。これは、重みの間の比率は変わらないからです。</p>\n\
<p><strong>NURBSCurve</strong> クラスは、NURBS カーブのプロパティを記述します。NURBSPoint クラスと同様、カーブが独立となるか従属となるかは、特定のクラスに依存します。独立カーブとは、位置を定義するために他のオブジェクトに依存しないカーブです。従属カーブとは、その定義が 1 つ以上の他のオブジェクトに依存するオブジェクトです。たとえば、ブレンド カーブは 2 つのテンション パラメータに依存するのと同様に、作成時にブレンドした 2 つの親カーブに依存します。</p>\n\
<p><strong>NURBSSurface</strong> クラスは、NURBS サーフェスのプロパティを記述します。NURBSPoint クラスや NURBSCurve クラスと同様、サーフェスが独立となるか従属となるかは特定のクラスに依存します。独立サーフェスとは、位置を定義する上で他のオブジェクトに依存しないサーフェスです。従属サーフェスは、形状が NURBS モデル内の他のサーフェスまたはカーブに従属するサブオブジェクトです。元の親サーフェスまたはカーブのジオメトリを変更すると、従属サーフェスも同様に変更されます。</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../NURBS.html\">NURBS</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";