var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-8FB870E5-823A-42FE-9A8C-70D25FF3B92C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>3 つの頂点間の角度を調べる方法はありますか。</h1></div><h2 id=\"-\">質問:</h2><p>面を定義する頂点が 3 つあります。面のコーナーの角度を調べる方法はありますか。</p>\n\
<h2 id=\"-\">回答:</h2><p>面には常に 3 つの頂点があります。頂点のペアはそれぞれ、面の 3 つのエッジのいずれか 1 つを定義すると同時に、ベクトルとみなされます。 「<a href=\"How-do-I-make-a-vector-from-a.html\">頂点の位置からベクトルを作成する方法はありますか。</a>」のFAQ トピックで説明したように、すべての頂点はもともとベクトルを表し、2 つの頂点を結ぶエッジ ベクトルは、2 つの頂点の位置を差し引くことで簡単に計算できます。</p>\n\
<p>3 つの頂点 A、B、および C を呼び出してみます。 頂点 A における角度を計算する場合、頂点 A から頂点 B へのベクトルと頂点 C へのベクトルが必要になります。 これら 2 つのベクトルは、次の式で表されます。</p>\n\
<p><code>V1 = B-A</code></p>\n\
<p><code>V2 = C-A</code></p>\n\
<p><img src=\"./images/GUID-0AA384FD-B447-4181-A9F0-39F9F64150C1-low.gif\" alt=\"\"></p>\n\
<p>このイメージには、座標[0,0,0]の点 A 、座標[2,0,1]の点 B、および座標[-1,0,2]の点 C が示されています。</p>\n\
<p>さて、2 つのベクトルが得られましたが、ベクトルの内積で有効な結果を得るには、単位ベクトルが必要になります。単位ベクトルは、元のベクトルと方向は同じですが、長さが 1.0 になります。</p>\n\
<p> ベクトル V1 V2 に対して正規化メソッドを使用することによって、単位ベクトルを計算できます。</p>\n\
<p><code>N1 = normalize V1</code></p>\n\
<p><code>N2 = normalize V2</code></p>\n\
<p><img src=\"./images/GUID-DC159444-96D8-467C-8331-42BB5D1FCE52-low.gif\" alt=\"\"></p>\n\
<p>V1 = [2.0.1]の場合、N1 = normalize V1 の式は、[0.894427,0,0.447214]の値を返します。 これは、length V1 = 2.23607 であり、X、Y、Z 座標のそれぞれの値を、この長さで除算することにより計算されるためです。 つまり、[2/2.23607, 0/2.23607, 1/2.23607]と計算されます。</p>\n\
<p>N2 = normalize V2 の式は、[-0.447214,0,0.894427]の値を返します。 これは、ベクトル[-1,0,2]の長さも 2.23607 であり、単位ベクトルは[-1/2.23607, 0/2.23607, 2/2.23607]と計算されるためです。</p>\n\
<p>最後に、「<a href=\"How-do-I-find-the-angle-between.html\">2 つのベクトル間の角度を調べる方法はありますか。</a>」で説明したように、これらの単位ベクトルの内積の acos (アークコサイン) を計算する必要があります。acos は cos (コサイン) の逆関数であり、cos がオペランドに等しくなる角度を返します (つまり、X = cos Alpha の場合、Alpha = acos X)。</p>\n\
<p><code>Angle = acos (dot N1 N2)</code></p>\n\
<p>角度の範囲は、0 度 (2 つのベクトルが平行な場合) から 180 度 (2つのベクトルが反対方向を向いている場合) までです。</p>\n\
<p>上記の[0,0,0]、[2,0,1]、および[-1,0,2]の座標を使用した例では、点 A での角度は 90 度になります。</p>\n\
<p><img src=\"./images/GUID-00C39A4E-AF72-40CD-9E26-902C07AEF338-low.gif\" alt=\"\"></p>\n\
<p>点 B での角度を計算するには、同じ手順に従いますが、ベクトル A-B とベクトル C-B を使用します。</p>\n\
<p><img src=\"./images/GUID-CAB2C0F9-11A0-428C-888E-2BA1474F2E96-low.gif\" alt=\"\"></p>\n\
<p>続いてベクトルを単位化し、内積を計算して、この値の acos を求めます。この例における点 B での角度は、45 度になります。</p>\n\
<p><img src=\"./images/GUID-D0F56422-4AD6-477E-88C6-93FF22BFE12E-low.gif\" alt=\"\"></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Working-With-Vectors.html\">ベクトルの操作</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Frequently-Asked-Questions-1.html\">よくある質問と回答</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";