var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A80603FB-F487-42F4-868D-E97FC4876563\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>頂点の位置からベクトルを作成する方法はありますか。</h1></div><h2 id=\"-\">質問:</h2><ol>\n\
<li><p>1 つの頂点の位置からベクトルを作成する方法はありますか。</p>\n\
</li>\n\
<li><p>2 つの頂点の位置からベクトルを作成する方法はありますか。</p>\n\
</li>\n\
</ol>\n\
<h2 id=\"-\">回答:</h2><p>頂点の位置自体がベクトルです。</p>\n\
<p>すべての <a href=\"./../../../MAXScript-Language-Reference/Values/Basic-Data-Values/Point3-Values.html\">Point3 値</a>は、ワールド原点[0,0,0]を始点とし Point3 値の位置に向かう、頂点の X、Y、および Z 座標を構成要素としたベクトルになります。</p>\n\
<p>下のイメージには、X 軸、Y 軸、Z 軸が原点[0,0,0]で交差している、<strong>3ds Max</strong> のワールド座標系が図示されています。</p>\n\
<p><img src=\"./images/GUID-CF259586-B792-47DB-87AB-EB19BA1A98BD-low.gif\" alt=\"\"></p>\n\
<p>座標が[20,10,10]の点は、次のように表示されます。 これを「A」点と呼びます。</p>\n\
<p><img src=\"./images/GUID-1A927C05-5712-4B4E-A16E-6BC4B000B61C-low.gif\" alt=\"\"></p>\n\
<p>Point3 値[20,10,10]は、原点[0,0,0]を始点とし、点 A を終点とするベクトルを定めます。 ベクトルの長さは原点と点 A との距離に等しく、方向は原点から点 A の方向になります。</p>\n\
<p><img src=\"./images/GUID-4AB01ABA-8079-4E97-9C1A-A7AFBFA34149-low.gif\" alt=\"\"></p>\n\
<p>座標が[-10,30,20]の点 B は、次のように表示されます。</p>\n\
<p><img src=\"./images/GUID-8FB441CE-E3DF-4287-87DB-BBD23553AF2F-low.gif\" alt=\"\"></p>\n\
<p>Point3 値[-10.30.20]は、原点[0,0,0]を始点とし、点 B を終点とする2 番目のベクトルを定めます。 ベクトルの長さは原点と点 B との距離に等しく、方向は原点から点 B の方向になります。</p>\n\
<p><img src=\"./images/GUID-59E466D9-2015-4E96-985A-689DB52A9515-low.gif\" alt=\"\"></p>\n\
<p>2 点で定められたベクトルを計算する場合は、単に終点から始点を差し引くだけで求められます。したがって、点 A から 点 B へ向かうベクトルの長さは 2 点間の距離に等しくなり、B-A で計算できます。</p>\n\
<p><img src=\"./images/GUID-16FF10B6-BB2F-4757-B76F-C5DFDE1A99EB-low.gif\" alt=\"\"></p>\n\
<p>求められた Point3 値 C = B-A は、点 A や点 B と同様に、原点[0,0,0]を始点として点 C を終点とし、( [-10,30,20] - [20,10,10] ) の計算結果を座標としたベクトルになります。 これは[-10-20, 30-10, 20-10] と計算でき、最終的な座標は[-30,20,10]になります。ベクトル C が、B-A とまったく同じ長さと方向を持っていることに注意してください。 これは、始点が原点に一致するように、ベクトル -A に沿って平行移動したものに過ぎません。</p>\n\
<p><img src=\"./images/GUID-7D1BE3CC-BCA3-44B6-AC3A-1A765267CA40-low.gif\" alt=\"\"></p>\n\
<p>この結果描かれる平行四辺形からも明らかにわかるように、加算と減算の規則がこの一連のベクトルに適用されています。</p>\n\
<p><img src=\"./images/GUID-9CB522D6-4C8E-4AC2-8588-A4D5287B8ED8-low.gif\" alt=\"\"></p>\n\
<p>次に、ベクトルの平行移動を示すために、アイソメトリック ビューに同じ平行四辺形を示します。</p>\n\
<p><img src=\"./images/GUID-2C9BCF36-C7BE-4ECA-949D-1C4557114021-low.gif\" alt=\"\"></p>\n\
<p>予想どおり、</p>\n\
<p><code>C = B-A</code> (同じベクトル、単に原点に移動)</p>\n\
<p><code>A = B-C</code> (同じベクトル、単に原点に移動)</p>\n\
<p>B は、明らかに、ベクトル (B-A) と A の和に等しくなっています。 これは、(B-A)+A または B+(A-A) と表すことができます。A-A は長さと方向を持たないゼロ ベクトルになるため、この計算結果は B 自身になります。</p>\n\
<p>(B-C) と C の和も同じです。 これは、B+(C-C) と表せます。C-C はゼロ ベクトルになるため、この計算結果も B 自身になります。</p>\n\
<p>このことから、2 つのベクトルの和は、最初のベクトルの終点から新しいベクトルを開始することにより計算できることがわかります。和は、最初のオペランドの始点から始まり、最後のオペランドの終点で終わるベクトルになります。</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Working-With-Vectors.html\">ベクトルの操作</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Frequently-Asked-Questions-1.html\">よくある質問と回答</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";