var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-779FD7AC-953D-4567-B2A8-60B1D8695B95\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MAXScript における DotNet</h1></div><p>MAXScript は、スクリプトおよび MAXScript ロールアウトで使用する .NET Framework の一部へのアクセスを提供します。MAXScript は、<code>dotNetClass</code> を介した .NET へのアクセス、<code>dotNetObject</code> を介したオブジェクトへのアクセス、<code>dotNetControl</code> を介した UI コントロールへのアクセス、<code>dotNetMethod</code> を介したメソッドへのアクセス、<code>dotNetMXSValue</code> を介した .NET 値とネイティブの MAXScript 値間の変換を提供します。</p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>注:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> DotNet では Just in Time (JIT)コンパイラが使用されており、ユーザがマネージド コードを初めてロードまたは実行するときは、Common Language Runtime(CLR)が中間コードをコンパイルして機械語コードにするため、パフォーマンスが大幅に低下します。 同じセッション内で同じコードをそれ以降に実行した場合は、JIT コンパイラはそのコードをもう 1 度コンパイルするのではなく、キャッシュされたバイナリを使用するので、実装時のパフォーマンスは 1 度目のときよりも向上します。</p>\n\
<p>これにより、たとえば[名前付き選択セット]ツールを初めて開く場合には、ダイアログ ボックスが表示されるまでに何秒間かかかる場合があります。2 度目以降はすぐに表示されます。</p>\n\
\n\
</div></div>\n\
\n\
<h3 id=\"dotnet-\">DotNet 関連トピックへのインデックス</h3><p><a href=\"DotNet-In-MAXScript/dotnetclass.html\">dotNetClass</a></p>\n\
<p><a href=\"DotNet-In-MAXScript/dotnetobject.html\">dotNetObject</a></p>\n\
<p><a href=\"DotNet-In-MAXScript/dotnetcontrol.html\">dotNetControl</a></p>\n\
<p><a href=\"DotNet-In-MAXScript/dotNetMethod.html\">dotNetMethod</a></p>\n\
<p><a href=\"DotNet-In-MAXScript/dotnetcontrol/dotnetmxsvalue.html\">dotNetMXSValue</a></p>\n\
<p><a href=\"DotNet-In-MAXScript/MAXScript-DotNet-Value.html\">MAXScript と Dotnet の値の変換</a></p>\n\
<p><a href=\"DotNet-In-MAXScript/DotNet-Objects-and-Classes-Life.html\">DotNet オブジェクトおよびクラスの寿命制御</a></p>\n\
<p><a href=\"DotNet-In-MAXScript/dotNet-Struct-Methods.html\">dotNet 構造体のメソッド</a></p>\n\
<h3 id=\"dotnet-\">DotNet のサンプルへのインデックス:</h3><p><a href=\"DotNet-In-MAXScript/DotNet-Examples/Creating-A-Simple-DotNet.html\">単純な DotNet MonthCalendar の作成と色の変更</a></p>\n\
<p><a href=\"DotNet-In-MAXScript/DotNet-Examples/Creating-A-Simple-Web-Browser.html\">DotNet を使用した簡単な Web ブラウザの作成</a></p>\n\
<p><a href=\"DotNet-In-MAXScript/DotNet-Examples/Using-DotNet-Forms-To-Create.html\">DotNet フォームを使用した MAXScript ユーザ インタフェースの作成</a></p>\n\
<p><a href=\"DotNet-In-MAXScript/DotNet-Examples/Registering-Windows-SystemEvents.html\">DotNet を使用した Windows SystemEvents コールバックの登録</a></p>\n\
<h3 id=\"maxcustomcontrols-\">MaxCustomControls アセンブリ:</h3><p><a href=\"DotNet-In-MAXScript/MaxCustomControls-Assembly.html\">MaxCustomControls アセンブリ</a></p>\n\
<h3 id=\"activex-dotnet-\">ActiveX コントロールから DotNet コントロールへのスクリプトの変換:</h3><p><a href=\"DotNet-In-MAXScript/Converting-ActiveX-Controls-To/Converting-Scripts-From-Using.html\">ActiveX コントロールを使用したスクリプトの DotNet コントロールを使用したスクリプトへの変換</a></p>\n\
<p><a href=\"DotNet-In-MAXScript/Converting-ActiveX-Controls-To/Converting-ActiveX-ListView.html\">ActiveX ListView コントロールの DotNet ListView コントロールへの変換</a></p>\n\
<p><a href=\"DotNet-In-MAXScript/Converting-ActiveX-Controls-To/Converting-ActiveX-TreeView.html\">ActiveX TreeView コントロールの DotNet TreeView コントロールへの変換</a></p>\n\
<h3 id=\"dotnet-\">DotNet の例および関連する機能が紹介されている外部ファイル:</h3><p><strong>[3dsMax Path]\\stdplugs\\stdscripts\\NET_ListViewWrapper.ms</strong></p>\n\
<p>このスクリプトには、ListView DotNet コントロールの作成および管理に役立つ関数が含まれています。</p>\n\
<p><strong>[3dsMax Path]\\stdplugs\\stdscripts\\NET_TreeViewWrapper.ms</strong></p>\n\
<p>このスクリプトには、TreeView DotNet コントロールの作成および管理に役立つ関数が含まれています。</p>\n\
<p><strong>[3dsMax Path]\\ui\\macroscripts\\Macro_BakeTextures.mcr</strong></p>\n\
<p>[テクスチャをレンダリング]ダイアログ ボックスは、ActiveX コントロールの代わりに DotNet ListView コントロールを使用するように更新されています。</p>\n\
<p><strong>[3dsMax Path]\\ui\\macroscripts\\Macro_NamedSelSets.mcr</strong></p>\n\
<p>[名前付き選択セット]エディタ ダイアログ ボックスが更新され、ActiveX コントロールに代わって DotNet の TreeView コントロールが使用されるようになりました。これは、DotNet TreeView コントロール内で<strong>ドラッグ アンド ドロップ</strong>を使用する場合の良い例です。</p>\n\
<h3 id=\"-\">外部リソース:</h3><p>Microsoft Developers Network (MSDN) ライブラリ - System.Windows.Forms に関する解説:</p>\n\
<p><a href=\"https://docs.microsoft.com/ja-jp/dotnet/api/system.windows.forms?view=netframework-4.8\" target=\"_blank\">system.windows.forms</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>このセクションのページ</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><a href=\"DotNet-In-MAXScript/Converting-ActiveX-Controls-To.html\">ActiveX コントロールの DotNet コントロールへの変換</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"DotNet-In-MAXScript/DotNet-Examples.html\">DotNet の例</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"DotNet-In-MAXScript/dotNet-Generics.html\">dotNet 汎用クラス</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"DotNet-In-MAXScript/DotNet-Objects-and-Classes-Life.html\">DotNet オブジェクトおよびクラスの寿命制御</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"DotNet-In-MAXScript/dotNet-Struct-Methods.html\">dotNet 構造体のメソッド</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"DotNet-In-MAXScript/dotnetclass.html\">dotnetclass</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"DotNet-In-MAXScript/dotnetcontrol.html\">dotnetcontrol</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"DotNet-In-MAXScript/dotNetMethod.html\">dotNetMethod</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"DotNet-In-MAXScript/dotnetobject.html\">dotnetobject</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"DotNet-In-MAXScript/MaxCustomControls-Assembly.html\">MaxCustomControls アセンブリ</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"DotNet-In-MAXScript/MAXScript-DotNet-Value.html\">MAXScript と Dotnet の値の変換</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"DotNet-In-MAXScript/Selected-DotNet-Classes-and.html\">DotNet のクラスとオブジェクトの例</a></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Interaction-with-Other.html\">他のプログラミング言語や環境との相互作用</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";