var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-32FB1A07-6F09-4E85-B7D3-1E9CDE3FBB4C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>エラー メッセージ</h1></div><p>MAXScript がスクリプト内でランタイム エラーを検出すると、リスナー出力領域にエラー メッセージが表示され、説明が出力されます。</p>\n\
<p>エラーがコントローラ スクリプトまたはロールアウト パネル スクリプトで発生した場合、エラー メッセージは警告ボックスに表示されます。それ以外の場合、エラー メッセージは[リスナー] (Listener)ウィンドウに出力されます。</p>\n\
<p><strong>3ds Max</strong> は、エラーに対処し変数を監視するより高度なツールセットを提供する <a href=\"./../The-MAXScript-Debugger.html\">MAXScript デバッガ</a>機能も備えています。</p>\n\
<h2 id=\"-\">リスナー コール スタック トレース バックとエディタ エラー ハイライト</h2><p>説明は<em>コールスタック トレースバック</em> 形式で表示され、コード内にあるエラーの原因と場所を特定するのに便利です。</p>\n\
<p>コール スタック トレースバックでは、次の情報が示されます。</p>\n\
<ul>\n\
<li>エラーの場所で呼び出した MAXScript 関数の現在のネスト（最も深いネストを最初に示し、一番上のネストを最後に示します）。    </li>\n\
<li>エラーが発生したファイル名、位置、および行番号。    </li>\n\
<li>すべてのローカル変数および関数パラメータの値（それらが宣言されたレベル、あるいは最初に使用されたレベル）。</li>\n\
</ul>\n\
<p><code>for</code> ループは、コールスタック トレースバックとは別のエントリを生成し、ループ本体の中にループ変数および任意のローカル変数の変数ダンプを含みます。このため、for ループ本体は<a href=\"./../../MAXScript-Language-Reference/Variables-Assignment-and-Scope/Scope-of-Variables.html\">変数スコープ</a>を表します。</p>\n\
<p>エラーを見つけやすくするため、MAXScript は、実行中のコードがソース ファイル(リスナーに直接入力されていないすべてのコード)からコンパイルされた場合には、エラーが発生した行をスクリプト エディタのウィンドウにハイライト表示させます。ソースファイルが<a href=\"./../Accessing-MAXScript/The-MAXScript-Editor-Windows.html\">スクリプト エディタ</a>で現在開かれていない場合には、MAXScript はそのファイルを新しいタブで開きます。エラーが発生したコードを含む行がハイライトされ、その場所がウィンドウに表示されます。</p>\n\
<p>エラー メッセージは、警告ボックスか[リスナー] (Listener)ウィンドウに表示されます。どちらの場合でも、警告ボックスまたは[リスナー] (Listener)ウィンドウが前面に表示され、その下にエラーの原因となるコードを含む[スクリプト エディタ](Scripting Editor)ウィンドウが表示されます。</p>\n\
<p>リスナー出力領域にレポートされるコンパイルおよびランタイムのエラー メッセージの前には、コメント記号「--」が付きます。埋め込みエラー メッセージの可能性があるコードを[リスナー] (Listener)ウィンドウで再選択および評価し、そのコードが構文エラーの原因にならないようにします。</p>\n\
<p>次の図に、[エディタ] (Editor)ウィンドウと[リスナー] (Listener)ウィンドウを示します。この図は、スクリプト実行中にエラーが検出されたことを示しています。</p>\n\
<p>エラーが発生した場所は、エディタ ウィンドウ内のハイライトされている行です。</p>\n\
<p>エラーが発生した場所は、エディタ ウィンドウ内のハイライトされている行です。コールスタック トレースバックを調べると、<code>for</code> ループの変数 <code>i</code> が 100 のときにエラーが発生したことがわかります。</p>\n\
<p>エラーのある行で、配列 <code>b</code> のインデックス i のオブジェクトの位置が設定されています。</p>\n\
<p>さらに詳しく調査すると、配列 <code>b</code> には要素が 99 個しか定義されていないことが確認できます。</p>\n\
<p>したがって、要素 <code>b\\[i\\]</code> には値 <code>undefined</code> が含まれ、<code>undefined</code> に位置プロパティが関連付けられていないためにエラーが発生しています。</p>\n\
<p><img src=\"./images/GUID-970A912F-8366-469B-9B93-75922D3E0173-low.gif\" alt=\"\"></p>\n\
<p><strong>このエラーに関する詳細情報:</strong></p>\n\
<p>このエラーを回避する適切な方法としては、&#39;for i = 1 to b.count do&#39; を使用して、ループが b に設定されたオブジェクト数を超えないようにして、さらに <code>z=360.0*i/b.count</code> 行において b.count で除算するようにします。</p>\n\
<p>上述の「誤り」は、デモンストレーションの目的でエラーを発生させるために記述されたものです。 </p>\n\
<p>このスクリプト自体は、選択されたすべてのオブジェクトの、（ポイント pos0 を囲む）半径付き円の中への配置を試行するものです。</p>\n\
<h3 id=\"-\">スクリプト コントローラ エラー</h3><p>次の図に、エラーダイアログ ボックスと[スクリプト コントローラ](Script Controller)ダイアログ ボックスを示します。</p>\n\
<p>スクリプト コントローラに割り当てられたスクリプト実行中にエラーが検出されたことを示しています。</p>\n\
<p>このエラーは、オブジェクト box001 の位置がスクリプト内で使用されているのに削除されたことが原因です。</p>\n\
<p><img src=\"./images/GUID-AB5E55EC-78F2-4188-8273-854F90151359-low.gif\" alt=\"\"></p>\n\
<p>スクリプト リスナーでは、このエラーに対して次のコール スタック トレースバックが示されます。</p>\n\
<p><img src=\"./images/GUID-458A6EC5-61FD-43F6-945C-F5AD5C7C466B-low.gif\" alt=\"\"></p>\n\
<p><strong>このエラーに関する詳細情報:</strong></p>\n\
<p><strong>3ds Max 8</strong> 以降、オブジェクト プロパティへの上記のアクセス方法は旧式で不適切と考えられています。これは、（スクリプト コントローラを伴うオブジェクトが外部参照を介してシーンに取り込まれるなど）その他の理由で参照オブジェクトが削除されない、または検出できないときに多数のエラーを発生させてしまうためです。</p>\n\
<p>この種のエラーを回避する適切な方法としては、Box001 の位置トラックが割り当てられた変数を使用します。Box001 を削除してもコントローラにエラーは発生しません。追加ボーナスとして、Box001 が Z に沿って自動的に移動する際に、コントロールされたオブジェクトの位置が更新されます。</p>\n\
<p>詳細については、<a href=\"./../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Script-Controllers/Script-Controllers-1.html\">スクリプト コントローラ</a>を参照してください。</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../General-MAXScript-Topics.html\">一般的な MAXScript</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../The-MAXScript-Debugger.html\">MAXScript デバッガ</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";