var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-85AD190F-1A65-4BF2-8AE8-9688960B1ACC\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>スクリプト エディタ - カスタム キーワードの定義</h1></div><p><strong>3ds Max 2008</strong> で導入された、<a href=\"./../MAXScript-Tabbed-Editor-Window.html\">タブ付きスクリプト エディタ</a>の MAXScript 固有の言語設定は、<strong>3ds Max</strong> ルート フォルダにある <em>MAXScript.properties</em> ファイルを編集することによってカスタマイズできます。これによって、MAXScript 言語には含まれないユーザ定義のキーワードを含めることができます。</p>\n\
<p>これは、たとえばプロジェクト固有の変数名などをハイライト表示する際に使用できます。</p>\n\
<h2 id=\"-\">グローバル設定</h2><p>MAXScript ファイルのソース コードにおいてカラー化されて表示されるカスタム キーワードを定義するには、次の手順を実行します。</p>\n\
<ul>\n\
<li><p>スクリプト エディタを開きます。</p>\n\
</li>\n\
<li><p>新しいスクリプトを作成して、「So long and thanks for all the fish.[改行] Earth is mostly harmless」と入力します。</p>\n\
</li>\n\
<li><p>以下のように表示されます。</p>\n\
<p>  <img src=\"./images/scripting_editor_keywords_default.png\" alt></p>\n\
</li>\n\
<li><p>エディタの[ツール] (Tools)メニューから、[開く MAXScript.properties](Open MAXScript.properties)]を選択します。</p>\n\
</li>\n\
<li><p>MAXScript.properties ファイルで、</p>\n\
<p>  keywords12 とコメントが付けられたセクションが検索され、カラー化されているユーザー定義の単語が特定されます。このリストのキーワードが最初にチェックされます。</p>\n\
</li>\n\
<li><p>keywords12.$(file.pattern.MAXScript)= definition にキーワードを追加できます。各新規行の末尾には、必ず ¥ を入力するようにしてください。</p>\n\
</li>\n\
<li><p>たとえば、次のように入力します。<strong>so long thanks all the fish mostly harmless</strong></p>\n\
</li>\n\
<li><p><strong>[Ctrl]+[S]</strong>を押して、MAXScript.properties ファイルを保存します。</p>\n\
</li>\n\
</ul>\n\
<div class=\"note 注:\"><span class=\"notetitle\">注:</span> Windows OS のユーザ アカウント制御(UAC)設定により <strong>3ds Max</strong> のルート フォルダにファイルを保存するアクセス権がない場合は、このページで後述されている「<a href=\"./../MAXScript-Editor-Configuration.html\">ローカル ユーザ設定</a>」のセクションを参照してください。</div>\n\
<p>フォーマットは次のようになります。</p>\n\
<p><img src=\"./images/scripting_editor_keywords_red.png\" alt></p>\n\
<h2 id=\"-\">カスタム キーワードのカラ―とスタイルの変更</h2><p>ユーザ定義のキーワードの既定値カラ―は赤で、スタイルは太字のイタリック体となっています。</p>\n\
<ul>\n\
<li><p>これは、同じ MAXScript.properties ファイルにある Keywords12 のカラ―定義で変更できます。</p>\n\
</li>\n\
<li><p>MAXScript.properties ファイルを下方にスクロールして、次の行を特定します。</p>\n\
<p>  # Keywords12 - User defined</p>\n\
<p>  style.MAXScript.23=fore:#FF0000,bold,italics</p>\n\
</li>\n\
<li><p>この定義を変更して、独自のキーワードに目的のカラーとスタイルを設定できます。</p>\n\
</li>\n\
<li><p>たとえば、既存の行に # でコメントを付け、代わりに次の内容を入力します。</p>\n\
<p>  style.MAXScript.23=fore:#0040F0,bold</p>\n\
</li>\n\
<li><p>その後、<strong>[Ctrl]+[S]</strong>を押して保存します。結果は次のようになります。</p>\n\
</li>\n\
</ul>\n\
<p><img src=\"./images/scripting_editor_keywords_blue.png\" alt></p>\n\
<p>MAXScript.properties ファイルの keywords12 の定義へのコメントで説明したように、キーワードは常にユーザ定義のリストにおいてチェックされた後に、言語固有の定義がチェックされます(MAXScript の場合は自動的に書き出されます)。</p>\n\
<p>上記の例で、キーワード「and」と「for」は言語の一部としてカラ―化されています（論理演算の AND と FOR ループ）。これらをカスタム キーワード リストに含める場合、次のように濃い青色ではなく明るい青色でカラー化され、言語固有の設定が上書きされます。</p>\n\
<p><img src=\"./images/scripting_editor_keywords_override.png\" alt></p>\n\
<h2 id=\"-\">ローカル ユーザ設定</h2><p>ユーザ アカウント制御(UAC)が有効になっている Vista や Windows 7 のような新しいオペレーティング システムでは、MAXScript.properties ファイルの初期値を変更することはできません。これは、このファイルが <strong>3ds Max</strong> のルートにあるためです。このため、エディタの[ツール] (Tools)メニューからも利用可能な[ユーザ オプション ファイル] (User Options File)を使用してカスタム設定を行うことをお勧めします。</p>\n\
<ul>\n\
<li><p>ファイルが存在しない場合は、現在のユーザ アカウントのローカル設定フォルダにファイルが自動的に作成されます。ファイル名は「MXS_EditorUser.properties」となり、「MAXScript.properties」グローバル ファイルに通常あるすべての設定を上書きできます。</p>\n\
</li>\n\
<li><p>keywords12 のカスタム キーワード定義とカラー定義をこのファイルにコピーして、<strong>[Ctrl]+[S]</strong>を押してファイルを保存します。</p>\n\
<p>  <img src=\"./images/scripting_editor_keywords_user_props.png\" alt></p>\n\
</li>\n\
<li><p>ユーザ定義のキーワードをカラー化した場合、その結果は上記の例と同じですが、<strong>3ds Max</strong> のインストールには依存しません。たとえば、ローカル ユーザ設定を保持しつつ <strong>3ds Max</strong> を再インストールした場合、MXS_EditorUser.properties ファイルに入力されたオーバーライドもすべて保持されます。</p>\n\
</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../MAXScript-Editor-Configuration.html\">スクリプト エディタ - 設定とカスタマイズ</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";