var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-3F328EC6-88EF-4EE9-AE79-ADC3F629716D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MAXScript ドキュメントの使い方</h1></div><p>このオンライン ヘルプは、主に MAXScript を学習するアーティストを対象としています。</p>\n\
<p>各項は、マテリアルの紹介、MAXScript 構文と文法の説明、さまざまな <strong>3ds Max</strong> オブジェクトの作成、アクセス、修正に関する説明などの内容で構成されています。これらの <strong>3ds Max</strong> オブジェクトには、ジオメトリ オブジェクト、モディファイヤ、コントローラ、マテリアル、テクスチャ、レンダリング効果などがあります。</p>\n\
<p>更に、MAXScript ツール、<strong>3ds Max</strong> ユーザ インタフェースの操作、外部ファイルへのアクセス、オブジェクトや <strong>3ds Max</strong> の状況の変化をスクリプトに通知する場合の設定などの方法について説明します。これらすべての項目で、MAXScript 言語のコマンドの用途と構文を説明しています。</p>\n\
<h2 id=\"-\">新規ユーザの場合</h2><p>MAXScript の基本機能を習得する上でプログラミングの経験は有益ですが、プログラミングの経験や <strong>3ds Max</strong> の基盤となる構造に関する深い理解は、必ずしも必要ではありません。トピック内に登場する概念については、それまでのトピックで説明された概念を基本的に理解していることが前提になります。</p>\n\
<p>少なくとも、「MAXScript トレーニング」の章と、「MAXScript 言語リファレンス」の章の「<a href=\"./../MAXScript-Language-Reference/Controlling-Program-Flow/Controlling-Program-Flow-1.html\">プログラム フロー制御</a>」までに含まれるトピックは順番に読んでください。各項を順番に読むことで、MAXScript 言語を基礎から習得し、充実した機能を持つ MAXScript ユーティリティを作成しすることができます。</p>\n\
<p>また、プログラミング経験の豊かなプログラマを対象とした、機能とテクニックを説明するセクションもあります。</p>\n\
<p>MAXScript を初めて使うユーザには、「<a href=\"./../Learning-MAXScript.html\">MAXScript トレーニング</a>」に MAXScript の機能、構文、実用的な応用例が概説されています。</p>\n\
<p>言語そのものを習得するのではなく、サードパーティによって作成された MAXScript ツールを使用することのみを目的としているユーザには、「<a href=\"MAXScript-for-New-and-Casual/MAXScript-for-New-and-Casual-1.html\">新規および臨時ユーザ用 MAXScript</a>」というトピックが役立ちます。</p>\n\
<h2 id=\"-\">既存ユーザの場合</h2><p>インデックス トピック「<a href=\"./../What-is-New-in-MAXScript.html\">MAXScript の新機能</a>」に、現在およびこれまでのリリースにおける MAXScript への変更点をドキュメント化したトピックへのリンクが示されます。</p>\n\
<h2 id=\"-faq\">チュートリアル、例、FAQ</h2><p>このヘルプ ファイルでは、チュートリアルまたは独自スクリプト開発の第一歩として使用できる一連の「<a href=\"./../How-To-Practical-Examples/How-To-Introduction-to-the.html\">チュートリアル - チュートリアルについて</a>」と、さまざまなトピック内に記載されている有用なスクリプトのリストにインデックスを付けた「<a href=\"./../Script-Examples-In-This-Help.html\">オンライン ヘルプ スクリプト例</a>」も提供されています。</p>\n\
<p>「<a href=\"./../Frequently-Asked-Questions/Frequently-Asked-Questions-1.html\">MAXScript に関する質問と回答</a>」という章では、ユーザからの質問に基づいて現実に発生した問題に関連するトピックやソリューションに対するリンクが提供されています。</p>\n\
<h2 id=\"maxscript-\">MAXScript の拡張機能</h2><p>いくつかの章が、次のものを含む MAXScript の拡張機能のために作成されました。<a href=\"./../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in.html\">character studio</a>、<a href=\"./../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-and-MAXScript.html\">パーティクル フロー</a>、<a href=\"./../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-Cloth.html\">Cloth</a>、<a href=\"./../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-Hair.html\">ヘアーとファー</a>、<a href=\"./../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-1/ProBoolean-Extension.html\">ProBoolean</a>, <a href=\"./../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-2/ProSound-Extension.html\">プロ サウンド</a>など。</p>\n\
<p>これらのプラグインは、現在 <strong>3ds Max</strong> の出荷版の一部となっていますが、すべてアドオンとして始まったものであり、外部チームによって開発されることが多くありました。このため、MAXScript の公開に関するそれぞれの考え方、内部ロジック、クラスとインタフェースの構造が反映されることになりました。</p>\n\
<p>このため、それらのドキュメントは「MAXScript の拡張機能」の下に、ほとんどが自己完結型で、大きなヘルプ内の小分けのヘルプ ファイルとして、別々の章に分けて提供されています。</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../MAXScript-Introduction.html\">MAXScript の紹介</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";