var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B478B60B-B27D-4916-A07E-264818666080\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>スクリプト ユーティリティとロールアウト</h1></div><p>MAXScript では、既存の <strong>3ds Max</strong> ユーザ インタフェースに組み込むことができるカスタム ロールアウトを作成できるように、クラス、関数、および特別な構文のセットが提供されています。カスタム ロールアウトは、一般的に MAXScript で記述したツールをポイント &amp; クリック インタフェースで利用できるようにするために使われ、ツールのユーザはスクリプト記述などの作業をする必要がなくなります。</p>\n\
<p><strong>3ds Max</strong> ユーザ インタフェースには、次に示すように、スクリプトで書かれたロールアウトをインストールできる場所がいくつかあります。</p>\n\
<ul>\n\
<li><p><a href=\"Scripted-Utilities-and-Rollouts/Scripted-Utility-Panels.html\">[ユーティリティ] (Utilities)パネル</a>。MAXScript の <code>utility</code> 定義構造を使用して、スクリプト ユーティリティを定義およびインストールします。インストールすると、スクリプト ユーティリティが MAXScript ロールアウトの下部にある[ユーティリティ] (Utilities)ドロップダウン リストに表示されます。このリストのユーティリティを選択すると、選択したユーティリティのロールアウトが MAXScript ロールアウトの下部に表示され、プラグイン ユーティリティのような動作をします。これは、<strong>3ds Max 2</strong> で MAXScript が初めて導入されたときの、元来のスクリプト ユーティリティの作成方法です。スクリプト ユーティリティを使用する主な利点は、非常にすばやく作成できること、大量の管理コードを用意せずにロールアウトを追加できること、シーン上で操作を実行できるので、スクリプティングの入門としても優れている点などがあります。また、主な短所としては、[ユーティリティ] (Utilities)ロールアウトの横幅が狭くて見えにくいこと、およびコマンド パネルの[作成] (Create)タブおよび[修正] (Modify)タブと同時には開けないことなどがあります。</p>\n\
</li>\n\
<li><p>特別なモードレスの<a href=\"Scripted-Utilities-and-Rollouts/Rollout-Floater-Windows.html\">ロールアウト フロータ ウィンドウ</a>。このウィンドウは、<code>newRolloutFloater()</code> 関数を使用して作成できます。このウィンドウは、デスクトップ上に表示され、<strong>3ds Max</strong> のマテリアル エディタおよび MAX の選択フロータと同じように作用します。これらおよびメインの <strong>3ds Max</strong> ユーザ インタフェースを自由にクリックして行き来することができます。MAXScript の <strong>rollout</strong> 定義構造を使用して、これらのウィンドウに個々のロールアウトを作成したり、<code>addRollout()</code> 関数を使用してロールアウト フロータ ウィンドウにインストールすることができます。</p>\n\
</li>\n\
<li><p>フローティングの<a href=\"Scripted-Dialogs/CreateDialog.html\">スクリプトで作成されたダイアログ</a>の内部。ダイアログはロールアウトのホルダーではなく、既存のロールアウトの特殊な表示形式です。<code>createDialog()</code> 関数を使用して、ロールアウトから作成することができます。</p>\n\
</li>\n\
<li><p><a href=\"Scripted-Plug-ins/Scripted-Plug-ins-1.html\">スクリプト プラグイン</a>の内部。スクリプト プラグインには、1 つまたは複数のロールアウトを含むことができます。このロールアウトをコマンド パネルの[作成] (Create)タブおよび[修正] (Modify)タブの内部に表示し、パラメータ ブロックにリンクすることによってアニメーション トラック管理を自動化することができます。</p>\n\
</li>\n\
<li><p><a href=\"./../../3ds-Max-Objects-and-Interfaces/Custom-Attributes/Scripted-Custom-Attributes.html\">カスタム アトリビュート</a>の内部、シーン オブジェクトまたはモディファイヤに追加。カスタム アトリビュートは、他のオブジェクトにアタッチできる、特殊な形式のパラメータ ブロックです。</p>\n\
</li>\n\
</ul>\n\
<p>スクリプトで書かれたロールアウトをどの場所に配置するのが最適かは、係数の数によって決まります。画面を最大限に利用することができ、<strong>3ds Max</strong> ユーザ インタフェース規則に準拠するため、ロールアウトは[ユーティリティ] (Utilities)パネルに入れておくのが最適です。ただし、ユーザがツールを使用中にさまざまなコマンド パネル間を移動する必要がある場合は、モードレスのウィンドウにロールアウトを入れるほうが便利な場合があります。[カラー クリップボード](Color Clipboard)ユーティリティのようなスクリプト化された[ユーティリティ] (Utilities)ロールアウトに[フロート化](float me)ボタンを提供する場合などは、ユーザがロールアウトをロールアウト フロータ ウィンドウまたは[ユーティリティ] (Utilities)パネルに表示できるようにしてください。</p>\n\
<p>次のトピックは、ユーティリティ パネルおよびロールアウト フロータ ウィンドウについての説明です。</p>\n\
<p><a href=\"Scripted-Utilities-and-Rollouts/Scripted-Utility-Panels.html\">スクリプト ユーティリティ パネル</a></p>\n\
<p><a href=\"Scripted-Utilities-and-Rollouts/Utility-Clauses.html\">ユーティリティ句</a></p>\n\
<p><a href=\"Scripted-Utilities-and-Rollouts/Managing-Multiple-Rollouts-in-a.html\">スクリプトで書かれたユーティリティでの複数のロールアウトの管理</a></p>\n\
<p><a href=\"Scripted-Utilities-and-Rollouts/Rollout-Clauses.html\">ロールアウト句</a></p>\n\
<p><a href=\"Scripted-Utilities-and-Rollouts/Utility-and-Rollout-Properties.html\">ユーティリティおよびロールアウトのプロパティ、メソッド、およびイベント ハンドラ</a></p>\n\
<p><a href=\"Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls.html\">ロールアウト ユーザ インタフェース コントロール</a></p>\n\
<p><a href=\"Scripted-Utilities-and-Rollouts/Visibility-of-Locals-Functions.html\">ロールアウト コード内のローカル、関数、構造体、ユーザ インタフェース項目の可視性</a></p>\n\
<p><a href=\"Scripted-Utilities-and-Rollouts/Accessing-Locals-and-Other-Items.html\">外部コードからロールアウトのローカルおよび他の項目へのアクセス</a></p>\n\
<p><a href=\"Scripted-Utilities-and-Rollouts/Rollout-Floater-Windows.html\">ロールアウト フロータ ウィンドウ</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>このセクションのページ</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><a href=\"Scripted-Utilities-and-Rollouts/Accessing-Locals-and-Other-Items.html\">外部コードからロールアウトのローカルおよび他の項目へのアクセス</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Scripted-Utilities-and-Rollouts/Macro-Recorder-Emission-From.html\">ロールアウト UI アクションからのマクロ レコーダ エミッション</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Scripted-Utilities-and-Rollouts/Managing-Multiple-Rollouts-in-a.html\">スクリプトで書かれたユーティリティでの複数のロールアウトの管理</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Scripted-Utilities-and-Rollouts/MAXScript-Dialogs-and-Rollout.html\">拡張ビューポートとしての MAXScript ダイアログ ボックスとロールアウト フロータ</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Scripted-Utilities-and-Rollouts/Non-Local-Variables-As-Captions.html\">ロールアウトと UI コントロールのキャプションとしての非ローカル変数</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Scripted-Utilities-and-Rollouts/Rollout-Clauses.html\">ロールアウト句</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Scripted-Utilities-and-Rollouts/Rollout-Controls-Property.html\">ロールアウト コントロールのプロパティ</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Scripted-Utilities-and-Rollouts/Rollout-Floater-Windows.html\">ロールアウト フロータ ウィンドウ</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Scripted-Utilities-and-Rollouts/Rollout-Systems-category.html\">ロールアウト システムの「カテゴリ」機能</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls.html\">ロールアウト ユーザ インタフェース コントロール</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Scripted-Utilities-and-Rollouts/Scripted-Utility-Panels.html\">スクリプト ユーティリティ パネル</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Scripted-Utilities-and-Rollouts/SubRollout-Class.html\">SubRollout クラス</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Scripted-Utilities-and-Rollouts/Utility-and-Rollout-Properties.html\">ユーティリティおよびロールアウトのプロパティ、メソッド、およびイベント ハンドラ</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Scripted-Utilities-and-Rollouts/Utility-Clauses.html\">ユーティリティ句</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Scripted-Utilities-and-Rollouts/Visibility-of-Locals-Functions.html\">ロールアウト コード内のローカル、関数、構造体、ユーザ インタフェース項目の可視性</a></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Creating-MAXScript-Tools.html\">MAXScript ツールの作成</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";